## API Report File for "@fluidframework/container-runtime-definitions"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { AttachState } from '@fluidframework/container-definitions';
import { FluidObject } from '@fluidframework/core-interfaces';
import { FlushMode } from '@fluidframework/runtime-definitions';
import { IClientDetails } from '@fluidframework/protocol-definitions';
import { IContainerRuntimeBase } from '@fluidframework/runtime-definitions';
import { IContainerRuntimeBaseEvents } from '@fluidframework/runtime-definitions';
import { IDeltaManager } from '@fluidframework/container-definitions';
import { IDocumentMessage } from '@fluidframework/protocol-definitions';
import { IDocumentStorageService } from '@fluidframework/driver-definitions';
import { IEventProvider } from '@fluidframework/core-interfaces';
import { IFluidDataStoreContextDetached } from '@fluidframework/runtime-definitions';
import { IFluidHandle } from '@fluidframework/core-interfaces';
import { IFluidHandleContext } from '@fluidframework/core-interfaces';
import { ILoaderOptions } from '@fluidframework/container-definitions';
import { IProvideFluidDataStoreRegistry } from '@fluidframework/runtime-definitions';
import { IRequest } from '@fluidframework/core-interfaces';
import { IResponse } from '@fluidframework/core-interfaces';
import { ISequencedDocumentMessage } from '@fluidframework/protocol-definitions';

// @alpha
export interface IContainerRuntime extends IProvideFluidDataStoreRegistry, IContainerRuntimeBaseWithCombinedEvents {
    readonly attachState: AttachState;
    // (undocumented)
    readonly clientDetails: IClientDetails;
    // (undocumented)
    readonly clientId: string | undefined;
    // (undocumented)
    readonly connected: boolean;
    createDetachedRootDataStore(pkg: Readonly<string[]>, rootDataStoreId: string): IFluidDataStoreContextDetached;
    // (undocumented)
    readonly deltaManager: IDeltaManager<ISequencedDocumentMessage, IDocumentMessage>;
    // (undocumented)
    readonly flushMode: FlushMode;
    getAbsoluteUrl(relativeUrl: string): Promise<string | undefined>;
    getAliasedDataStoreEntryPoint(alias: string): Promise<IFluidHandle<FluidObject> | undefined>;
    readonly isDirty: boolean;
    // (undocumented)
    readonly options: ILoaderOptions;
    // (undocumented)
    readonly scope: FluidObject;
    // (undocumented)
    readonly storage: IDocumentStorageService;
}

// @alpha (undocumented)
export type IContainerRuntimeBaseWithCombinedEvents = IContainerRuntimeBase & IEventProvider<IContainerRuntimeEvents>;

// @alpha
export interface IContainerRuntimeEvents extends IContainerRuntimeBaseEvents {
    // (undocumented)
    (event: "dirty" | "disconnected" | "dispose" | "saved" | "attached", listener: () => void): any;
    // (undocumented)
    (event: "connected", listener: (clientId: string) => void): any;
}

// @alpha @deprecated (undocumented)
export interface IContainerRuntimeWithResolveHandle_Deprecated extends IContainerRuntime {
    // (undocumented)
    readonly IFluidHandleContext: IFluidHandleContext;
    // (undocumented)
    resolveHandle(request: IRequest): Promise<IResponse>;
}

// (No @packageDocumentation comment for this package)

```
